# RakNet::RakString Class Reference

String class Has the following improvements over std::string Reference counting: Suitable to store in lists Varidic assignment operator Doesn't cause linker errors. More...

`#include <RakString.h>`

List of all members.

## Public Member Functions

| RakString ()
| Constructors.
| operator const char * () const
| Implicit return of const char*.
const char * | C_String (void) const
| Same as std::string::c_str.
RakString & | operator= (const RakString &rhs)
| Assigment operator.
RakString & | operator+= (const RakString &rhs)
| Concatenation.
unsigned char | operator[] (const unsigned int position) const
| Character index. Do not use to change the string however.
bool | operator== (const RakString &rhs) const
| Equality.
bool | operator!= (const RakString &rhs) const
| Inequality.
void | ToLower (void)
| Change all characters to lowercase.
void | ToUpper (void)
| Change all characters to uppercase.
void | Set (const char *format,...)
| Set the value of the string.
bool | IsEmpty (void) const
| Returns if the string is empty. Also, C_String() would return "".
size_t | GetLength (void) const
| Returns the length of the string.
void | Replace (unsigned index, unsigned count, unsigned char c)
| Replace character(s) in starting at index, for count, with c.
void | Erase (unsigned index, unsigned count)
| Erase characters out of the string at index for count.
int | StrCmp (const RakString &rhs) const
| Compare strings (case sensitive).
int | StrICmp (const RakString &rhs) const
| Compare strings (not case sensitive).
void | Clear (void)
| Clear the string.
void | Printf (void)
| Print the string to the screen.
void | FPrintf (FILE *fp)
| Print the string to a file.

## Static Public Attributes

static unsigned int | nPos = (unsigned int) -1
| Means undefined position.

## Detailed Description

String class Has the following improvements over std::string Reference counting: Suitable to store in lists Varidic assignment operator Doesn't cause linker errors.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/Source/RakString.h
- /home/rakkar/raknet-trunk/export/Source/RakString.cpp